PLOT(3X)

NAME
plot: openpl, erase, label, line, circle, arc, move, cont, point, linemod, space, closepl - graphics interface

SYNOPSIS
openpl()

erase()

label(s)
char s[];

line(x1, y1, x2, y2)

circle(x, y, r)

arc(x, y, x0, y0, x1, y1)

move(x, y)

cont(x, y)

point(x, y)

linemod(s)
char s[];

space(x0, y0, x1, y1)

closepl()

DESCRIPTION
These subroutines generate graphic output in a relatively device-independent manner. See plot(5) for a description of their effect. Openpl must be used before any of the others to open the device for writing. Closepl flushes the output.

String arguments to label and linemod are null-terminated, and do not contain newlines.

Various flavors of these functions exist for different output devices. They are obtained by the following ld(1) options:

-lplot
    device-independent graphics stream on standard output for plot(1) filters

-l300
    GSI 300 terminal

-l300s
    GSI 300S terminal

-l450
    DASI 450 terminal

-l4014
    Tektronix 4014 terminal

SEE ALSO
plot(5), plot(1G), graph(1G)